Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class Symbol_Filling

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.BasicOrder
          edu.stanford.smi.protegex.widget.scatterbox.Symbol_Filling

All Implemented Interfaces:
  Constants, Order

    public class Symbol_Filling

extends BasicOrder

Description of the class

Author:
  William Grosso

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.scatterbox.BasicOrder
`_elements, _name, _numberOfElements, _queryUtilsObject, _slot, _widget`

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.Constants
`DIRECT_INSTANCES_ONLY, DOMAIN_VALUE_SLOTS, ENTRY_METACLASS_NAME, ENTRY_SLOT_NAME, FUNCTION_NAME, HIERARCHICAL_INCLUDE_EVERYTHING, HIERARCHICAL_OMIT_ROOTS, HIERARCHICAL_ONLY_INCLUDE_LEAVES, HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN, NULL_SELECTED_COLOR, RANGE_VALUE_SLOTS, RECURSIVE_COPY_DEPTH_FOR_DND, TEXT_SCALING_FACTOR, USE_ALL_INSTANCES`

Constructor Summary
`Symbol_Filling(ScatterboxWidget widget, Slot slot, KBQueryUtils queryUtilsObject)`

Method Summary
`protected Collection` | `getValues()`

Methods inherited from class edu.stanford.smi.protegex.widget.scatterbox.BasicOrder
`appendList, concatenateWithoutDuplicates, fillObjectWithIndexedValue, getIndexForEntry, getIndexForValue, getName, getSize, getSlot, getValueForEntry, getValueForIndex, setName, setSlot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Symbol_Filling

    public Symbol_Filling(ScatterboxWidget widget,
                          Slot slot,
                          KBQueryUtils queryUtilsObject)

Method Detail

### getValues

    protected Collection getValues()

  Specified by:
    `getValues` in class `BasicOrder`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request